#ifndef EDITOR_H
#define EDITOR_H

#include "scene/containernode.h"

class Engine;
class ScenePicker;
class ResourcePack;
class Mesh;

class Editor : public ContainerNode
{
    ScenePicker* m_pickerNode;
    Mesh* m_selectedMesh;
    ResourcePack* m_editedResourcePack;
    bool m_pickerEnabled;
    bool m_materialEditorEnabled;
public:
    Editor();
    ~Editor();
    void update();
    void materialGui();
    void togglePicker();
    void toggleMaterialEditor();
    void toggleRenderingPipelineGui();
    void toggleResourcePackGui();
};

#endif // EDITOR_H
